gtkmm 2.4: Gtk::Ruler Class Reference

Main Page Widgets Namespaces Book

# Gtk::Ruler Class Reference
[Widgets]

Inheritance diagram for Gtk::Ruler:

[legend]
List of all members.

## Detailed Description

Base class for horizontal or vertical rulers.

NOTE this widget is considered too specialized/little-used for GTK+, and will in the future be moved to some other package. If your application needs this widget, feel free to use it, as the widget does work and is useful in some applications; it's just not of general interest. However, we are not accepting new features for the widget, and it will eventually move out of the GTK+ distribution. Rulers are used to show the mouse pointer's location in a window. The ruler can either be horizontal or vertical. Within the ruler a small triangle indicates the location of the mouse relative to the horixontal or vertical ruler.

This is an abstract base for Gtk::HRuler and Gtk::VRuler. Users should only instantiate those types.

## Public Member Functions
void | draw_pos ()
| draw a position indicator on the ruler
void | draw_ticks ()
| draw tick marks on the ruler
MetricType | get_metric ()
| Gets the units used for a Gtk::Ruler.
MetricType | get_metric () const
void | get_range (double& lower, double& upper, double& position, double& max_size)
| Retrieves values indicating the range and current position of a Gtk::Ruler.
double | get_range_lower () const
double | get_range_upper () const
const GtkRuler* | gobj () const
| Provides access to the underlying C GtkObject.
GtkRuler* | gobj ()
| Provides access to the underlying C GtkObject.
void | set_metric (MetricType metric=PIXELS)
| Sets the desired metric of the ruler.
void | set_range (double lower, double upper, double position, double max_size)
| sets the range of the ruler.
virtual | ~Ruler ()
## Protected Member Functions
| Ruler ()
## Related Functions
(Note that these are not member functions.)
Gtk::Ruler* | wrap (GtkRuler* object, bool take_copy=false)

## Constructor & Destructor Documentation

virtual Gtk::Ruler::~Ruler | ( |  | ) | `[virtual]`

Gtk::Ruler::Ruler | ( |  | ) | `[protected]`

## Member Function Documentation

void Gtk::Ruler::draw_pos | ( |  | ) |

| draw a position indicator on the ruler

void Gtk::Ruler::draw_ticks | ( |  | ) |

| draw tick marks on the ruler

MetricType Gtk::Ruler::get_metric | ( |  | ) |

| Gets the units used for a Gtk::Ruler. See set_metric(). Returns: The units currently used for ruler .

MetricType Gtk::Ruler::get_metric | ( |  | ) | const

void Gtk::Ruler::get_range | ( | double& | lower,
|  | double& | upper,
|  | double& | position,
|  | double& | max_size
| ) |

  | Retrieves values indicating the range and current position of a Gtk::Ruler. See set_range(). Parameters:
  | lower | Location to store lower limit of the ruler, or `0`.
  | upper | Location to store upper limit of the ruler, or `0`.
  | position | Location to store the current position of the mark on the ruler, or `0`.
  | max_size | Location to store the maximum size of the ruler used when calculating the space to leave for the text, or `0`.

double Gtk::Ruler::get_range_lower | ( |  | ) | const

double Gtk::Ruler::get_range_upper | ( |  | ) | const

const GtkRuler* Gtk::Ruler::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::Widget. Reimplemented in Gtk::VRuler, and Gtk::HRuler.

GtkRuler* Gtk::Ruler::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::Widget. Reimplemented in Gtk::VRuler, and Gtk::HRuler.

void Gtk::Ruler::set_metric | ( | MetricType | metric = `PIXELS` | ) |

| Sets the desired metric of the ruler. The possible choices are: Gtk::PIXELS Gtk::INCHES Gtk::CENTIMETERS The default metric is Gtk::PIXELS.

void Gtk::Ruler::set_range | ( | double | lower,
|  | double | upper,
|  | double | position,
|  | double | max_size
| ) |

| sets the range of the ruler. upper and lower arguments denote the extents of the Ruler. max_size is the largest number displayed by the ruler. position gives the initial value of the ruler. Rulers do not have sane defaults so this function should always be called.

## Friends And Related Function Documentation

Gtk::Ruler* wrap | ( | GtkRuler* | object,
|  | bool | take_copy = `false`
| ) | `[related]`

  | Parameters:
  | object | The C instance
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.
Returns: A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- ruler.h